---
updatedAt: 2026-05-15T19:08:46.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Get card bill

Return card bill details

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - RuPay on UPI",
    "description": "United Payments Interface (UPI) API integrating providers with the Pismo platform",
    "contact": {
      "name": "Pismo"
    },
    "license": {
      "name": "Apache 2.0"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/upi-gateway",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "UPI",
      "description": "Endpoints to manage UPI operations"
    }
  ],
  "components": {
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Authorization token. Tokens can expire quickly, which can result in a **401 Unauthorized** message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "UserAgentHeader": {
        "in": "header",
        "name": "user-agent",
        "required": true,
        "description": "Client consuming API.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "card_info": {
        "type": "object",
        "description": "Card information",
        "properties": {
          "account_reference_number": {
            "type": "string",
            "description": "Card account reference number. Either this field or `last_4_digits` is **REQUIRED**.",
            "example": "789012000087442038"
          },
          "last_4_digit": {
            "type": "string",
            "description": "Card last 4 PAN digits. Either this field or `account_reference_number` is **REQUIRED**.",
            "example": "2432"
          }
        },
        "example": {
          "account_reference_number": "789012000087442038",
          "last_4_digit": "2432"
        }
      },
      "cards.CardBillRequest": {
        "type": "object",
        "required": [
          "card_info",
          "phone"
        ],
        "properties": {
          "card_info": {
            "$ref": "#/components/schemas/card_info"
          },
          "phone": {
            "$ref": "#/components/schemas/phone"
          }
        }
      },
      "cards.CardBillResponse": {
        "type": "object",
        "required": [
          "total_due_amount",
          "minimum_due_amount",
          "due_date",
          "card_masked_number",
          "account_reference_number"
        ],
        "properties": {
          "total_due_amount": {
            "type": "number",
            "description": "Total due amount",
            "example": 500
          },
          "minimum_due_amount": {
            "type": "number",
            "description": "Minimum due amount",
            "example": 500
          },
          "due_date": {
            "type": "string",
            "description": "Bill due date",
            "example": "23012025"
          },
          "card_masked_number": {
            "type": "string",
            "description": "Card masked number",
            "example": "123456XXXXXXXX78"
          },
          "account_reference_number": {
            "type": "string",
            "description": "Card account reference number",
            "example": "789012000087442038"
          }
        }
      },
      "domain.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/domain.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/domain.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/domain.PayloadMessage"
            }
          }
        }
      },
      "domain.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error type code",
            "example": "EPT0001"
          },
          "details": {
            "type": "object",
            "description": "Detailed error message",
            "allOf": [
              {
                "$ref": "#/components/schemas/domain.DetailMessage"
              }
            ]
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "domain.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Message",
            "example": "Generic error"
          }
        }
      },
      "domain.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message",
            "example": "Generic error"
          }
        }
      },
      "domain.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "phone": {
        "type": "object",
        "required": [
          "country_code",
          "phone"
        ],
        "properties": {
          "country_code": {
            "type": "string",
            "description": "Phone number country code",
            "example": "55"
          },
          "phone": {
            "type": "string",
            "description": "Phone number",
            "example": "999167803"
          },
          "area_code": {
            "type": "string",
            "description": "Phone number area code",
            "example": "47"
          }
        },
        "example": {
          "country_code": "91",
          "phone": "9592714958"
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a **401 Unauthorized** error.\n",
        "bearerFormat": "JWT"
      }
    }
  },
  "paths": {
    "/v1/cards/credit-card-bill": {
      "post": {
        "summary": "Get card bill",
        "description": "Return card bill details",
        "operationId": "post-card-bill",
        "tags": [
          "UPI"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/UserAgentHeader"
          }
        ],
        "requestBody": {
          "description": "Request Body",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/cards.CardBillRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Response Body",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/cards.CardBillResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EUPI0003": {
                    "summary": "Bad Request",
                    "value": {
                      "code": "EUPI0003",
                      "message": "Bad Request"
                    }
                  },
                  "EUPI0023": {
                    "summary": "number is a required field",
                    "value": {
                      "code": "EUPI0023",
                      "message": "number is a required field"
                    }
                  },
                  "EUPI0002": {
                    "summary": "Validation error",
                    "value": {
                      "code": "EUPI0002",
                      "message": "Validation error"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EUPI0004": {
                    "summary": "Missing required header 'x-tenant'",
                    "value": {
                      "code": "EUPI0004",
                      "message": "Missing required header 'x-tenant'"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EUPI0028": {
                    "summary": "Cards not found.",
                    "value": {
                      "code": "EUPI0028",
                      "message": "Cards not found."
                    }
                  },
                  "EUPI0032": {
                    "summary": "Not found.",
                    "value": {
                      "code": "EUPI0032",
                      "message": "Not found."
                    }
                  },
                  "EUPI0007": {
                    "summary": "Account not found.",
                    "value": {
                      "code": "EUPI0007",
                      "message": "Account not found."
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "UnprocessableEntity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EUPI0004": {
                    "summary": "An unexpected error has occurred",
                    "value": {
                      "code": "EUPI0042",
                      "message": "An unexpected error has occurred"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EUPI0001": {
                    "summary": "An unexpected error happened",
                    "value": {
                      "code": "EUPI0001",
                      "message": "An unexpected error happened"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```